# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           libtaskotron
Version:        0.0.9
Release:        1%{?dist}
Summary:        Taskotron Support Library

License:        GPLv2+
URL:            https://bitbucket.org/fedoraqa/libtaskotron
Source0:        http://qadevel.fedoraproject.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

Requires:       bodhi-client
Requires:       koji
Requires:       rpm-python
Requires:       pyOpenSSL
Requires:       python-pycurl
Requires:       python-urlgrabber
Requires:       python-jinja2
Requires:       pytap13
Requires:       resultsdb_api
Requires:       python-bayeux
Requires:       resultsdb_api
Requires:       python-hawkey
Requires:       python-bunch
Requires:       python-fedora
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  pytest
BuildRequires:  python-bunch BuildRequires:  python-dingus
BuildRequires:  python-urlgrabber
BuildRequires:  python-jinja2
BuildRequires:  koji
BuildRequires:  pytap13
BuildRequires:  python-bayeux
BuildRequires:  bodhi-client
BuildRequires:  resultsdb_api
BuildRequires:  python-hawkey
BuildRequires:  python-fedora


%description
Libtaskotron is a support library for running taskotron tasks.

%prep
%setup -q

%check
%{__python} setup.py test

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# configuration files
mkdir -p %{buildroot}%{_sysconfdir}/taskotron/
install conf/taskotron.yaml %{buildroot}%{_sysconfdir}/taskotron/taskotron.yaml


%files
%doc readme.rst
%{python_sitelib}/libtaskotron
%{python_sitelib}/*.egg-info

%dir %{_sysconfdir}/taskotron
%{_sysconfdir}/taskotron/taskotron.yaml

%attr(755,root,root) %{_bindir}/runtask


%changelog
* Fri Apr 25 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.9-1
- koji_utils fix for upgradepath

* Fri Apr 25 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.8-1
- Updating to latest upstream version
- Fixing resultsdb integration, adding some rpm and koji utility methods

* Wed Apr 16 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.7-2
- Fixing some urls and other small packaging changes

* Tue Apr 15 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.7-1
- Updating to latest upstream
- Change to more generic CLI arguments to match reporting and work better with buildbot

* Mon Apr 14 2014 Tim Flink <tflink@fedoraproject.org> - 0.0.6-2
- Initial package for libtaskotron
